Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

List Seller Extensions

Request

Retrieves all Seller Extensions.

You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the List Customers' listCustomersResponseExample_resultFields response example.

valueFields: returns just an array of values. Use this option if a better performance is required. See the List Customers' listCustomersResponseExample_valueFields response example.

Security
basic or X-PriceFx-jwt
Path
SXCategorystringrequired

The Seller Extension category (the Name from the Seller Master Extension table).

Example: SalesOrganization
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/sellermanager.fetch/*/SX/SalesOrganization'

Responses

OK

Bodyapplication/json
responseobject(getSellerExtensionResponse)
Response
application/json
{ "response": { "status": 0, "node": "node", "data": [], "endRow": 1 } }

Update a Seller Extension

Request

Updates sellerId of the specified Seller Extension. The version property must be provided within the oldValues.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobject
oldValuesobject
operationTypestringrequired
textMatchStylestring
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/SX \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "sellerId": "Seller024",
      "typedId": "4.SX3"
    },
    "oldValues": {
      "version": 0,
      "typedId": "4.SX3",
      "name": "SXTest",
      "sellerId": "Seller0233",
      "createDate": "2022-06-14T12:57:21",
      "createdBy": 2147490696,
      "lastUpdateDate": "2022-06-14T12:57:21",
      "lastUpdateBy": 2147490696,
      "attribute1": null,
      "attribute2": null,
      "attribute3": null
    },
    "operationType": "update",
    "textMatchStyle": "exact"
  }'

Responses

OK

Bodyapplication/json
responseobject(updateSellerExtensionResponse)
Response
application/json
{ "response": { "node": "node", "data": [], "status": 0 } }

Delete a Seller Extension

Request

Deletes the specified (by typedId in the payload) Seller Extension.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobject
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/SX \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "typedId": "string"
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "e2e-templates-node", "data": [], "status": 0 } }

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Advanced Configuration Options

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

MCP

Operations

Clicmanager

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

Operations

Entities

otherSchemas

Schemas